/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.layout.page.template.model;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.model.PersistedModel;
import com.liferay.portal.kernel.util.Accessor;

/**
 * The extended model interface for the LayoutPageTemplateEntry service. Represents a row in the &quot;LayoutPageTemplateEntry&quot; database table, with each column mapped to a property of this class.
 *
 * @author Brian Wing Shun Chan
 * @see LayoutPageTemplateEntryModel
 * @see com.liferay.layout.page.template.model.impl.LayoutPageTemplateEntryImpl
 * @see com.liferay.layout.page.template.model.impl.LayoutPageTemplateEntryModelImpl
 * @generated
 */
@ImplementationClassName("com.liferay.layout.page.template.model.impl.LayoutPageTemplateEntryImpl")
@ProviderType
public interface LayoutPageTemplateEntry extends LayoutPageTemplateEntryModel,
	PersistedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to {@link com.liferay.layout.page.template.model.impl.LayoutPageTemplateEntryImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<LayoutPageTemplateEntry, Long> LAYOUT_PAGE_TEMPLATE_ENTRY_ID_ACCESSOR =
		new Accessor<LayoutPageTemplateEntry, Long>() {
			@Override
			public Long get(LayoutPageTemplateEntry layoutPageTemplateEntry) {
				return layoutPageTemplateEntry.getLayoutPageTemplateEntryId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<LayoutPageTemplateEntry> getTypeClass() {
				return LayoutPageTemplateEntry.class;
			}
		};

	public static final Accessor<LayoutPageTemplateEntry, String> NAME_ACCESSOR = new Accessor<LayoutPageTemplateEntry, String>() {
			@Override
			public String get(LayoutPageTemplateEntry layoutPageTemplateEntry) {
				return layoutPageTemplateEntry.getName();
			}

			@Override
			public Class<String> getAttributeClass() {
				return String.class;
			}

			@Override
			public Class<LayoutPageTemplateEntry> getTypeClass() {
				return LayoutPageTemplateEntry.class;
			}
		};

	public String getContent()
		throws com.liferay.portal.kernel.exception.PortalException;

	public String getImagePreviewURL(
		com.liferay.portal.kernel.theme.ThemeDisplay themeDisplay);
}